Bug 246991 - Initscript Review
Initscript Review
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nas (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Frank Büttner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InitscriptStatus
  Show dependency treegraph
 
Reported: 2007-07-05 09:54 EDT by Harald Hoyer
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-26 03:02:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The new init file (1.25 KB, text/plain)
2007-08-04 16:06 EDT, Frank Büttner
no flags Details
now with an LSB header (1.38 KB, text/plain)
2007-08-11 13:47 EDT, Frank Büttner
no flags Details

  None (edit)
Description Harald Hoyer 2007-07-05 09:54:32 EDT
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Frank Büttner 2007-08-04 16:06:39 EDT
Created attachment 160698 [details]
The new init file
Comment 2 Frank Büttner 2007-08-04 16:07:26 EDT
Can you check it?
Yes it will be started by default.
Comment 3 Harald Hoyer 2007-08-06 05:23:33 EDT
hmm, no LSB Header... otherwise, ok
Comment 4 Frank Büttner 2007-08-11 13:47:45 EDT
Created attachment 161118 [details]
now with an LSB header
Comment 5 Frank Büttner 2007-08-11 13:48:36 EDT
Is this now correct?
Comment 6 Harald Hoyer 2007-08-19 03:38:16 EDT
looks better :-)
Comment 7 Frank Büttner 2007-08-19 04:07:46 EDT
Can I mark it as resolved?
Do you know an automatic tool for verify init scripts?
Comment 8 Harald Hoyer 2007-08-20 03:59:23 EDT
yes, and no..
Comment 9 Frank Büttner 2007-08-26 02:57:52 EDT
ok, so I close it.

Note You need to log in before you can comment on or make changes to this bug.